package edu.stanford.rt.credential;

import java.security.*;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 *
 * This class stores the public key information about a principal.
 */
public class PublicKeyPrincipalInfo
{
	private PublicKey publicKey;
	
	/**
     * Constructor for PublicKeyPrincipalInfo
	 */
	public PublicKeyPrincipalInfo(PublicKey publicKey)
	{
		this.publicKey = publicKey;
	}
	/**
	 * Returns the publicKey.
	 * @return PublicKey
	 */
	public PublicKey getPublicKey()
	{
		return publicKey;
	}

	/**
	 * Method toString.
	 * @param indent
	 * @return String
	 */
    public String toString(String indent)
	{
		String thisIndent = indent + "  ";
        return thisIndent + publicKey.toString();
	}
}
