package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 *  OrderedType is the super class of all totally ordered simple 
 *  data types: IntegerType, DecimalType, EnumType, StringType, TimeType.
 *  It requires its subclasses to be able to compare for legal values 
 */
public abstract class OrderedType extends SimpleType
{
    OrderedType(String name)
    {
        super(name);
    }
    
	/**
	 * Method compares.
     *      Compares two DataValue objects.
	 * @param value1
	 * @param value2
	 * @return int
	 */
    abstract int compares(DataValue value1, DataValue value2);
}
