package edu.stanford.rt.datatype;

import edu.stanford.rt.credential.*;
import edu.stanford.rt.datatype.*;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 * Implementation of <code>PrincipalValue</code> group element. It has a 
 * <code>Principal</code> value.
 * 
 */
public class PrincipalValue implements DataValue
{
    Principal value;
    /**
     * Constructor for PrincipalValue.
     */
    public PrincipalValue(Principal value)
    {
        this.value = value;
    }

	/**
	 * Method getValue.
	 * @return Principal
	 */
    public Principal getValue()
    {
        return value;
    }
        
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
    public String toString()
    {
        StringBuffer sb = new StringBuffer();
        sb.append(value.toString()).append("\n");
        return sb.toString();
    }
    
}