package edu.stanford.rt.parser;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * This interface defines all the XML element tag names and 
 * attribute names in RTML.
 */
public interface TagNameConstants
{
	public static final String CREDENTIAL_STORE = "CredentialStore";
    public static final String APP_DOMAIN_SPEC = 
    	"ApplicationDomainSpecification";
    public static final String CREDENTIAL = "Credential";
    public static final String ACCESS_RULE = "AccessRule";
	public static final String PRINCIPAL_INFO = "PrincipalInfo";

    public static final String IMPORT_DOMAIN = "ImportDomain";

    public static final String INTEGER_TYPE = "IntegerType";
    public static final String DECIMAL_TYPE = "DecimalType";
    public static final String ENUM_TYPE = "EnumType";
    public static final String STRING_TYPE = "StringType";
    public static final String RECORD_TYPE = "RecordType";
    public static final String TREE_TYPE = "TreeType";
    public static final String PRINCIPAL_TYPE = "PrincipalType";

    public static final String INTEGER_VALUE = "IntegerValue";
    public static final String DECIMAL_VALUE = "DecimalValue";
    public static final String STRING_VALUE = "StringValue";
    public static final String ENUM_VALUE = "EnumValue";
    public static final String TIME_VALUE = "TimeValue";
    public static final String TREE_VALUE = "TreeValue";
    public static final String RECORD = "Record";
    public static final String KEY_HASH = "KeyHash";
    public static final String KEY_VALUE = "ds:KeyValue";
    public static final String DSA_KEY_VALUE = "ds:DSAKeyValue";
    public static final String RSA_KEY_VALUE = "ds:RSAKeyValue";

    public static final String ROLE_DECLARATION = "RoleDeclaration";
    public static final String PARAMETER = "Parameter";
    public static final String FIELD = "Field";
    public static final String ISSUER_TRACES = "issuerTraces";
    public static final String SUBJECT_TRACES = "subjectTraces";
    public static final String TYPE = "Type";
    public static final String SIZE = "size";
    public static final String IS_IDENTITY = "isIdentity";
    public static final String RESTRICTION = "Restriction";
    public static final String EXTENSION = "Extension";
    public static final String PROJECTION = "Projection";
	public static final String PLAIN = "Plain";
    public static final String IDENTITY= "Identity";
    public static final String BASE_ROLE = "BaseRole";
    
	public static final String DIMENSION = "dimension";
    public static final String URI = "uri";
    public static final String NAME = "name";
    public static final String ID = "id";
    public static final String IDREF = "idref";
    public static final String DOMAIN = "domain";

    public static final String MIN = "min";
    public static final String MAX = "max";
    public static final String BASE = "base";
    public static final String STEP = "step";
    public static final String INCLUDE_MIN = "includeMin";
    public static final String INCLUDE_MAX = "includeMax";

    public static final String SEPARATOR = "separator";
    public static final String ORDER = "order";
    public static final String INCLUDE_CURRENT = "includeCurrent";
    public static final String INCLUDE_CHILDREN = "includeChildren";
    public static final String INCLUDE_DESCENDENTS = "includeDescendents";
    public static final String ROOT_FIRST = "rootFirst";
    public static final String ROOT_LAST = "rootLast";

    public static final String IGNORE_CASE = "ignoreCase";
    public static final String ORDERED = "ordered";
    public static final String FROM = "from";
    public static final String TO = "to";


    public static final String ISSUER = "Issuer";
    public static final String PREAMBLE = "Preamble";
    public static final String ROLE_TERM = "RoleTerm";
    public static final String HEAD_ROLE_TERM = "HeadRoleTerm";
    public static final String PRINCIPAL = "Principal";
    public static final String PRINCIPAL_REF = "PrincipalRef";
    public static final String REF = "ref";
    public static final String SHORT_NAME = "shortName";
    public static final String EXTERNAL_ROLE = "ExternalRole";
    public static final String LINKED_ROLE = "LinkedRole";
    public static final String INTERSECTION = "Intersection";
    public static final String INTERVAL = "Interval";
    public static final String SET = "Set";
    public static final String SPECIAL_PRINCIPAL = "SpecialPrincipal";
    public static final String EQUALS = "Equals";

    public static final String CREDENTIAL_IDENTIFIER = "CredentialIdentifier";
    public static final String RULE_IDENTIFIER = "RuleIdentifier";
    public static final String VALIDITY_TIME = "ValidityTime";
    public static final String ISSUE_AT = "IssueAt";
    public static final String VALID_FROM = "ValidFrom";
    public static final String VALID_TO = "ValidTo";
    public static final String VALIDITY_RULE = "ValidityRule";
    public static final String SIMPLE_MEMBER = "SimpleMember";
    public static final String SIMPLE_CONTAINMENT = "SimpleContainment";
    public static final String LINKED_CONTAINMENT= "LinkedContainment";
    public static final String INTERSECTION_CONTAINMENT= "IntersectionContainment";
    public static final String PRODUCT_CONTAINMENT= "ProductContainment";
    public static final String EXCLUSIVE_PRODUCT_CONTAINMENT= "ExclusiveProductContainment";
    public static final String SIMPLE_DELEGATION= "SimpleDelegation";
    public static final String ADVANCED_DELEGATION= "AdvancedDelegation";
    public static final String PRODUCT = "Product";
    public static final String EXCLUSIVE_PRODUCT = "ExclusiveProduct";
    public static final String DELEGATE_TO = "DelegateTo";
    public static final String CONTROL = "Control";

}